Why does the game keep telling me EFLC fatal error?

  1. I just bought this game off steam, but whenever I try to launch the game, it says i need windows vista service pack 1 or higher to proceed, but I'm using windows 7 service pack 1, and this game is supposed to work with windows 7. Does anyone know how to fix it?

    User Info: dexter2x

    dexter2x - 6 years ago
  2. Clarification Request::
    What exactly does the Error say? It doesn't just say Fatal Error, now does it?!!

    User Info: Parham66

    Parham66 - 6 years ago

Accepted Answer

  1. I have service pack 1 windows 7, it has been released. It was just a problem with the game as it must be run in compatibility mode. Luckily a patch has been released and now it works fine. And parham66 read the details before you ask for more info.

    User Info: dexter2x

    dexter2x - 6 years ago 0 0

Other Answers

  1. As Service Pack 1 for Windows 7 isn't released yet (and you probably have the BETA), then it is clear that the problem is coming from there. The game wasn't designed for SP BETA I guess. Try downloading the latest patch if it doesn't solve your problem, simply install Windows 7 without SP1.

    User Info: Crimsader

    Crimsader - 6 years ago 0 0

This question has been successfully answered and closed.